.Menu{
    padding-top: 4%;
  }
  .Lines{
    width: 80%;
    height: 12px;
    margin: 0 auto;
  }
  .line1{
    background-color: rgb(133, 129, 75);
    width: 15%;
    height: 12px;
    display: inline-block;
  }
  .line2{
    background-color: rgb(27, 167, 172);
    width: 22%;
    height: 12px;
    display: inline-block;
  }
  .line3{
    background-color: rgb(226, 129, 2);
    width: 26%;
    height: 12px;
    display: inline-block;
  }
  .line4{
    background-color: rgb(94, 83, 22);
    width: 37%;
    height: 12px;
    display: inline-block;
  }
  .BuyItem{
    width: 80%;
    background-color: rgb(209, 209, 209);
    margin: 0 auto;
    margin-top: 30px;
    display: flex;
    padding-top: 2%;
    padding-bottom: 2%;
    font-family:-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  }
  .basket{
    margin-left: 3%;
    width: 40%;
    height: 710px;
    background-color: white;
    border-radius: 1em;
    color: rgb(34, 34, 34);
  }
  .items{
    width: 40%;
    vertical-align: sub;
    margin-left: 8%;
  }
  .item{
    margin-top: 5%;
    background-color: white;
    border-radius: 1em;
    display: flex;
    height: 200px;
  }
  .item:nth-of-type(1){
    margin-top: 1%;
  }
  .itemInfo{
    width: 60%;
    margin-left: 4%;
  }
  .itemImage{
    width: 210px;
    height: 200px;
    border-top-left-radius: 1em;
    border-bottom-left-radius: 1em;
    outline: none;
  }
  .itemIngredients{
    margin-top: -18px;
    height: 40px;
  }
  .itemPrice{
    float: right;
    margin-top: 30px;
    margin-right: 15px;
    font-weight: 500;
  }
  .itemHeading{
    margin-top: 25px;
    font-size: 16px;
    font-weight: 500;
    height: 35px;
    overflow: hidden;
  }
  .Spinner{
    margin: 0 auto;
    margin-top: 20%;
    color: blue;
  }
  .addToCart{
    border-radius: 3em;
    background-color: rgb(40, 67, 187);
    outline: none;
    border: none;
    cursor: pointer;
    width: 40%;
    height: 30px;
    float: right;
    margin-right: 15px;
    margin-top: 20%;
    color: white;
  }
  .inrementDecrementSection{
    width: 40%;
    height: 30px;
    border: 1px solid gray;
    border-radius: 3em;
    float: right;
    margin-right: 15px;
    margin-top: 20%;
  }
  .inrementDecrementSection button, .inrementDecrementSection p{
    display: inline;
  }
  .inrementDecrementSection button{
    width: 25px;
    height: 25px;
    border-radius: 50%;
    outline: none;
    border: none;
    margin-top: 2.2px;
    font-size: 18px;
    color: blue;
    background-color:  rgb(168, 239, 241);
    cursor: pointer
  }
  button.minus{
    margin-left: 3px;
  }
  button.minus mat-icon{
    margin-left: -5px;
  }
  button.plus{
    float: right;
    margin-right: 3px;
  }
  button.plus mat-icon{
    margin-left: -5px;
  }
  .inrementDecrementSection p{
    margin-left: 10%;
    position: relative;
    bottom: 7px;
  }
  .basket h1{
    font-size: 20px;
    margin-top: 25px;
    margin-left: 42%;
    font-family:-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  }
  .basket mat-icon{
    color: gray;
    opacity: 0.5;
    cursor: pointer;
  }
  ::-webkit-scrollbar{
    display: none;
  }
  .basketItems{
    height: 510px;
    overflow-y: scroll;
  }
  .basketItem{
    border-bottom: 2px solid rgba(128, 128, 128, 0.486);
    width: 78%;
    height: 110px;
    margin: 0 auto;
    margin-bottom: 10%;
    font-family:-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  }
  .basketItem:nth-last-child(1){
    border: none;
  }
  .basketItemHeading{
    font-size: 16px;
    font-weight: 500;
    margin-left: -15px;
    display: inline-block;
  }
  .basketItemCount{
    display: inline-block;
    font-size: 16px;
    font-weight: 500;
    margin-left: 15px;
    color: blue;
  }
  .basketItemIngredients{
    margin-left: -15px;
  }
  .deleteItem{
    float: right;
    margin-top: -40px;
    margin-right: -16px;
  }
  .checkout{
    border-top: 2px solid rgba(128, 128, 128, 0.486);
    width: 78%;
    margin: 0 auto;
    padding-top: 5%;
    box-shadow: 0px -7px 5px -5px rgba(199, 218, 216, 0.199);
  }
  .Total{
    font-size: 18px;
    font-weight: 500;
    display: inline-block;
    margin-left: -15px;
  }
  .TotalPrice{
    display: inline-block;
    float: right;
    font-size: 18px;
    font-weight: 500;
    color: blue;
    margin-right: -15px;
  }
  .checkoutBtn{
    display: block;
    margin: 0 auto;
    outline: none;
    border: none;
    cursor: pointer;
    height: 20px;
    background-color: rgb(40, 67, 187);
    color: white;
    height: 30px;
    width: 40%;
    border-radius: 3em;
    margin-top: 5%;
    margin-bottom: 5%;
}
.basketLoading{
  margin-top: 30%;
  position: relative;
}
.user{
  width: 20%;
  float: right;
  margin-top: 2%;
  margin-bottom: 2%;
  margin-right: 10%;
  box-shadow: 2px 2px 2px 2px gray;
}
.user button{
  background: none;
  outline: none;
  border: none;
  cursor: pointer;
  float: right;
  margin-right: 10%;
}
.user button:hover{
  left: -5px;
  position: relative;
  transition: all 0.5s;
}
.user span{
  vertical-align: super;
  margin-right: 10px;
  position: relative;
  top: -2px;
  color: brown;
  font-weight: bolder;
}
